Skip to Content
inclamoDocs

Create New Conversation

POST
/api/v1/accounts/{account_id}/conversations

Creating a conversation in chatwoot requires a source id.

Learn more about source_id: https://www.chatwoot.com/hc/user-guide/articles/1677839703-how-to-create-an-api-channel-inbox#send-messages-to-the-api-channel

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Request Body

application/json
  1. body
source_id*string

Conversation source id

inbox_id?integer

Id of inbox in which the conversation is created Allowed Inbox Types: Website, Phone, Api, Email

contact_id?integer

Contact Id for which conversation is created

additional_attributes?

Lets you specify attributes like browser information

custom_attributes?

The object to save custom attributes for conversation, accepts custom attributes key and value

status?string

Specify the conversation whether it's pending, open, closed

Value in"open""resolved""pending"
assignee_id?integer

Agent Id for assigning a conversation to an agent

team_id?integer

Team Id for assigning a conversation to a team\

snoozed_until?string

Snoozed until date time

Formatdate-time
message?

The initial message to be sent to the conversation

Response Body

Success

application/json
  1. response
id?number

ID of the conversation

account_id?number

Account Id

inbox_id?number

ID of the inbox

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/conversations' \  -H 'Content-Type: application/json' \  -d '{  "source_id": "string"}'
Example Response
{  "id": 0,  "account_id": 0,  "inbox_id": 0}